Hi everyone, I use a journal to setup my drawing view labels, but unfortunately I'm not able to apply the <u> <u> effect on the view label letter, is it possible to do it? I run this journal when I start the Drafting application, for some reason my labels get to the default settings every time I reopen the app.
Here's the code I use right now:
import NXOpen
import NXOpen.Drawings
import NXOpen.Annotations
import NXOpen.Preferences
def main() :
theSession = NXOpen.Session.GetSession()
workPart = theSession.Parts.Work
preferencesBuilder1 = workPart.SettingsManager.CreatePreferencesBuilder()
preferencesBuilder1.ViewSectionLabel.LabelPosition = NXOpen.Drawings.LabelPositionTypes.Below
preferencesBuilder1.ViewSectionLabel.LabelPrefix = "<u><C1.333>CORTE<C><u>"
preferencesBuilder1.ViewSectionLabel.LabelCharacterHeightFactor = 1.333
preferencesBuilder1.ViewSectionLabel.ShowViewScale = False
preferencesBuilder1.ViewDetailLabel.LabelPosition = NXOpen.Drawings.LabelPositionTypes.Below
preferencesBuilder1.ViewDetailLabel.LabelPrefix = "<u><C1.333>DETALHE<C><u>"
preferencesBuilder1.ViewDetailLabel.LabelCharacterHeightFactor = 1.333
preferencesBuilder1.ViewDetailLabel.ShowViewScale = False
nXObject1 = preferencesBuilder1.Commit()
preferencesBuilder1.Destroy()
if __name__ == '__main__':
main()
SOLVED
I found a way of doing it, just remove the last <u> !